Gallery Platform API
Reference

List invoice line items

Lists an invoice's line items in display order.

GET
/gallery/invoices/{id}/line-items

Lists an invoice's line items in display order.

Authorization

bearerAuth sales:read
AuthorizationBearer <token>

A gallery API key, sent as Authorization: Bearer gpk_… (or the x-api-key header).

In: header

Scope: sales:read

Path Parameters

id*string

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

{  "data": [    {      "id": "string",      "invoice_id": "string",      "artwork_id": "string",      "format_id": "string",      "publication_id": "string",      "ticket_type_id": "string",      "description": "string",      "quantity": -9007199254740991,      "unit_price_cents": -9007199254740991,      "discount_cents": -9007199254740991,      "discount_bps": -9007199254740991,      "tax_cents": -9007199254740991,      "line_total_cents": -9007199254740991,      "exclude_from_total": true,      "position": -9007199254740991,      "metadata": {        "property1": "string",        "property2": "string"      },      "created_at": "string",      "updated_at": "string"    }  ],  "next_cursor": "string"}